cgD3D9GetDevice(3)

NAME
cgD3D9GetDevice - retrieves the current D3D9 device associated with the runtime

SYNOPSIS
  #include <Cg/cgD3D9.h>
  IDirect3DDevice9 * cgD3D9GetDevice( void );

PARAMETERS
None.

RETURN VALUES
Returns the current D3D9 device associated with the runtime.

DESCRIPTION
cgD3D9GetDevice retrieves the current D3D9 device associated with the runtime. Note that the returned device pointer may be NULL.

EXAMPLES
  IDirect3DDevice9* curDevice = cgD3D9GetDevice();

ERRORS
None.

HISTORY
cgD3D9GetDevice was introduced in Cg 1.1.

SEE ALSO
cgD3D9SetDevice